#if !defined(AFX_OUTPUTDLG_H__120E0854_BEED_4380_9462_4D5D772BD860__INCLUDED_)
#define AFX_OUTPUTDLG_H__120E0854_BEED_4380_9462_4D5D772BD860__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OutputDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COutputDlg dialog

class COutputDlg : public CDialog
{
// Construction
public:
	BOOL CheckMaxIFrameIntvl();
	BOOL CheckProbe();
	int GetMaxIFrameInterval();
	int GetProbeInterval();
	int GetPFrameType();
	int GetIFrameType();

//	BYTE output_pic_type, compare_pic_type;
	COutputDlg(CWnd* pParent = NULL);   // standard constructor

private:
	int interval;
// Dialog Data
	//{{AFX_DATA(COutputDlg)
	enum { IDD = IDD_DIALOG3 };
	int		m_iIFrameType;
	int		m_iPFrameType;
	BOOL	m_bMaxIFrameIntervalChecked;
	int		m_iMaxIFrameInterval;
	int		m_ProbeInterval;
	BOOL	m_bProbeChecked;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutputDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COutputDlg)
	virtual void OnOK();
	afx_msg void OnChangeEdit1();
	afx_msg void OnCheck1();
	afx_msg void OnCheck3();
	afx_msg void OnChangeEdit2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTPUTDLG_H__120E0854_BEED_4380_9462_4D5D772BD860__INCLUDED_)
